## START: Set by rpmautospec
## (rpmautospec version 0.6.0)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global forgeurl https://gitlab.com/ubports/development/core/gsettings-qt
%global date 20220807
%global commit d5e002d7e0bce46c315bcc99a44a8bd51f49f488
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%forgemeta

%global __provides_exclude ^libGSettingsQmlPlugin\\.so.*$

Name:           gsettings-qt
Version:        0.2
Release:        %autorelease
Summary:        Qt/QML bindings for GSettings
License:        LGPL-3.0-or-later
URL:            %{forgeurl}
Source0:        %{forgesource}

BuildRequires:  qt5-qtbase-devel
BuildRequires:  qt5-qtdeclarative-devel
BuildRequires:  glib2-devel
BuildRequires:  gcc-c++
BuildRequires:  make

%description
Qt/QML bindings for GSettings.

%package        devel
Summary:        Development package for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       qt5-qtbase-devel%{?isa}

%description    devel
Header files and libraries for %{name}.

%prep
%forgeautosetup -p1

%build
%qmake_qt5 PREFIX=%{_prefix}
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

# remove test
rm -rf %{buildroot}%{_qt5_prefix}/tests -rf
find %{buildroot} -iname test* -exec rm -f {} \;
find %{buildroot} -iname cpptest* -exec rm -f {} \;

%files
%license COPYING
%{_libdir}/lib%{name}.so.1*
%dir %{_qt5_qmldir}/GSettings.1.0/
%{_qt5_qmldir}/GSettings.1.0/libGSettingsQmlPlugin.so
%{_qt5_qmldir}/GSettings.1.0/plugins.qmltypes
%{_qt5_qmldir}/GSettings.1.0/qmldir

%files devel
%dir %{_qt5_headerdir}/QGSettings/
%{_qt5_headerdir}/QGSettings/*
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/lib%{name}.so

%changelog
## START: Generated by rpmautospec
* Sat Jun 01 2024 topazus <topazus@outlook.com> - 0.2-1
- Switch to new source

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.30.20180723bzr85
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jan 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.29.20180723bzr85
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.28.20180723bzr85
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.27.20180723bzr85
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.26.20180723bzr85
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.25.20180723bzr85
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.24.20180723bzr85
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.23.20180723bzr85
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.22.20180723bzr85
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.21.20180723bzr85
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.20.20180723bzr85
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sun Mar 03 2019 Rex Dieter <rdieter@fedoraproject.org> - 0-0.19.20180723bzr
- rebuild (qt5)

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.18.20180723bzr85
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Thu Aug 23 2018 Rex Dieter <rdieter@fedoraproject.org> - 0-0.17.20180723bzr
- better fix for removal of test-dir

* Thu Aug 23 2018 Rex Dieter <rdieter@fedoraproject.org> - 0-0.16.20180723bzr
- drop BR: qt5-qtbase-private-devel
- use %%ldconfig_scriptlets

* Mon Jul 23 2018 Zamir SUN <zsun@fedoraproject.org> - 0-0.15.20180723.bzr85
- Upload new source package

* Mon Jul 23 2018 Zamir SUN <zsun@fedoraproject.org> - 0-0.14.20180723.bzr85
- Update to upstream bzr r85

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.13.20170715bzr83
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Jun 20 2018 Rex Dieter <rdieter@fedoraproject.org> - 0-0.12.20170715bzr
- rebuild (qt5)

* Sun May 27 2018 Rex Dieter <rdieter@fedoraproject.org> - 0-0.11.20170715bzr
- rebuild (qt5)

* Wed Feb 14 2018 Jan Grulich <jgrulich@redhat.com> - 0-0.10.20170715bzr83
- rebuild (qt5)

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.9.20170715bzr83
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Dec 20 2017 Jan Grulich <jgrulich@redhat.com> - 0-0.8.20170715bzr83
- rebuild (qt5)

* Mon Nov 27 2017 Rex Dieter <rdieter@fedoraproject.org> - 0-0.7.20170715bzr83
- rebuild (qt5)

* Wed Oct 11 2017 Rex Dieter <rdieter@fedoraproject.org> - 0-0.6.20170715bzr
- BR: qt5-qtbase-private-devel

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.5.20170715bzr83
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Sun Jul 30 2017 Zamir SUN <zsun@fedoraproject.org> - 0-0.4.20170715bzr83
- Add s390x and ppc64 back as it can be built on rawhide today

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.3.20170715bzr83

* Sat Jul 15 2017 Zamir SUN <zsun@fedoraproject.org> - 0-0.2.20170715bzr83
- Update to bzr r83 and change the versioning style

* Tue Jan 17 2017 mosquito <sensor.wen@gmail.com> - 0-0.1.20160329-3
- Update to 0.1.20160329

* Tue Jan 03 2017 Jaroslav <cz.guardian@gmail.com> Stepanek 0-0.1.20160329-2
- Major rewrite of SPEC file

* Sun Oct 02 2016 Jaroslav <cz.guardian@gmail.com> Stepanek 0-0.1.20160329-1
- Initial package build

## END: Generated by rpmautospec
